Skip to main content
POST
/
advertisers
/
{advertiserId}
/
hypotheses
/
{hypothesisId}
/
test-plans
Create test plan
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/hypotheses/{hypothesisId}/test-plans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "testCondition": {},
  "controlCondition": {},
  "matchDimensions": [
    "<string>"
  ]
}
'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

hypothesisId
string
required

Body

application/json
testCondition
object
required
controlCondition
object
required
matchDimensions
string[]
required
Minimum array length: 1

Response

Create test plan